Subject: bug#60587: Patch for adding links to symbols' help documentation

From: "H. Dieter Wilhelm" <[email-masked]>
Date: Wed, 01 Feb 2023 23:09:54 +0100

Hi Drew

Drew Adams <[email-masked]> writes:

>> > 1.
>> > +  :type '(choice (const :tag "Create links" t)
>> > +                 (const :tag "Do not link" nil))
>> >
>> > is better as just :type 'boolean, and say in the
>> > doc which Boolean value means which behavior.
>> 
>> The doc string says now:
>> 
>>   "True (`t') means Emacs creates symbol link buttons in Info.
>> Setting this variable to `nil' inhibits the creation of buttons
>> on quoted symbols to their help strings.  Please see the function
>> `info-make-xrefs' for further details."
>
> Is the defcustom now :type 'boolean?

Please tell me why you insist now on changing the :type from choice to
boolean?  Above you stated that it "is better than just :type boolean"!?

I experimented in `customize' with :type 'boolean and the "toggle"
button is fast and easy.  On the other hand with 'choice I think the
alternatives are clearer documented while changing it's values..

>> > 4. Or instead of having an option, maybe just have
>> > a minor mode.
>> 
>> That's also a nice idea.  (Maybe for later.)
>
> See Stefan's reply...

Alright, I'm going in this direction but I'm not so fast.  😅

>> > 6. "clicking @kbd{mouse-2} or @kbd{mouse-1} on it"
>> > can't be right, I think.  At least that doesn't
>> > express what `mouse-1-follows-link' does/means.

On the suggestion of Eli, I just stated `mouse' and added a cross
reference, ahem, link to the mouse manual section.

Thanks for your interest

       Dieter
-- 
Best wishes
H. Dieter Wilhelm
Zwingenberg, Germany